Index: trunk/src/Yworkdir/Y1sinobad.h
===================================================================
--- trunk/src/Yworkdir/Y1sinobad.h	(revision 32)
+++ trunk/src/Yworkdir/Y1sinobad.h	(revision 34)
@@ -81,4 +81,7 @@
 //~~~~~~~~~~~~~~~~~~~~~~~~~ module ta_c~~~~~~~~~~~~~~~~~~~~~~~~~
 #define Yid_ta_c 1
+#define YNBPTARGET_ta_c 0
+#define YDEBTARGET_ta_c 0
+#define YENDTARGET_ta_c 0
 /*M3_VALST  */ #define 	 Ydelta_ta_c(v, i, j, k, t) 	 Yta_c[i][j][k]->Ydelta[t][v] 
 /*M3_VALST  */ #define 	 YD_ta_c(v, i, j, k, t) 		 Yta_c[i][j][k]->Ydelta[t][v] 
@@ -98,11 +101,15 @@
 /*M3_VALSGI */ #define 	 YG1_ta_c(i, j, k) 		 Yta_c[i][j][k]->Ygrad[0] 
 /*M3_HERESGI*/ #define 	 YG1Y_ta_c 		 Yta_c[Yi][Yj][Yk]->Ygrad[0] 
+/*M3_VALSG  */ #define 	 Yepsi_ta_c(v, i, j, k) 	 Yta_c[i][j][k]->Yepsi[v] 
+/*M3_VALSG  */ #define 	 YE_ta_c(v, i, j, k) 		 Yta_c[i][j][k]->Yepsi[v] 
+/*M3_VALSGI */ #define 	 YE1_ta_c(i, j, k) 		 Yta_c[i][j][k]->Yepsi[0] 
 Yaota_c 		 *Yta_c[YA1_S3d][YA2_S3d][YA3_S3d];
+/*M3_VALSG  */ #define 	 Ywish_ta_c(v, i, j, k) 	 Yta_c[i][j][k]->Ywish[v] 
+/*M3_VALSG  */ #define 	 YW_ta_c(v, i, j, k) 		 Yta_c[i][j][k]->Ywish[v] 
+/*M3_VALSGI */ #define 	 YW1_ta_c(i, j, k) 		 Yta_c[i][j][k]->Ywish[0] 
+/*M3_HERESGI*/ #define 	 YW1Y_ta_c 		 Yta_c[Yi][Yj][Yk]->Ywish[0] 
 
 //~~~~~~~~~~~~~~~~~~~~~~~~~ module sa_c~~~~~~~~~~~~~~~~~~~~~~~~~
 #define Yid_sa_c 2
-#define YNBPTARGET_sa_c 0
-#define YDEBTARGET_sa_c 0
-#define YENDTARGET_sa_c 0
 /*M3_VALST  */ #define 	 Ydelta_sa_c(v, i, j, k, t) 	 Ysa_c[i][j][k]->Ydelta[t][v] 
 /*M3_VALST  */ #define 	 YD_sa_c(v, i, j, k, t) 		 Ysa_c[i][j][k]->Ydelta[t][v] 
@@ -122,12 +129,5 @@
 /*M3_VALSGI */ #define 	 YG1_sa_c(i, j, k) 		 Ysa_c[i][j][k]->Ygrad[0] 
 /*M3_HERESGI*/ #define 	 YG1Y_sa_c 		 Ysa_c[Yi][Yj][Yk]->Ygrad[0] 
-/*M3_VALSG  */ #define 	 Yepsi_sa_c(v, i, j, k) 	 Ysa_c[i][j][k]->Yepsi[v] 
-/*M3_VALSG  */ #define 	 YE_sa_c(v, i, j, k) 		 Ysa_c[i][j][k]->Yepsi[v] 
-/*M3_VALSGI */ #define 	 YE1_sa_c(i, j, k) 		 Ysa_c[i][j][k]->Yepsi[0] 
 Yaosa_c 		 *Ysa_c[YA1_S3d][YA2_S3d][YA3_S3d];
-/*M3_VALSG  */ #define 	 Ywish_sa_c(v, i, j, k) 	 Ysa_c[i][j][k]->Ywish[v] 
-/*M3_VALSG  */ #define 	 YW_sa_c(v, i, j, k) 		 Ysa_c[i][j][k]->Ywish[v] 
-/*M3_VALSGI */ #define 	 YW1_sa_c(i, j, k) 		 Ysa_c[i][j][k]->Ywish[0] 
-/*M3_HERESGI*/ #define 	 YW1Y_sa_c 		 Ysa_c[Yi][Yj][Yk]->Ywish[0] 
 
 //~~~~~~~~~~~~~~~~~~~~~~~~~ module ua_c~~~~~~~~~~~~~~~~~~~~~~~~~
@@ -2403,4 +2403,6 @@
 	      double	 Ystate[YNBS_ta_c];
 	      double	 Ygrad[YNBS_ta_c];
+	      double	 Yepsi[YNBS_ta_c];
+	      double	 Ywish[YNBS_ta_c];
 	      double	 Ydelta[1][YNBS_ta_c];
 
@@ -2417,6 +2419,4 @@
 	      double	 Ystate[YNBS_sa_c];
 	      double	 Ygrad[YNBS_sa_c];
-	      double	 Yepsi[YNBS_sa_c];
-	      double	 Ywish[YNBS_sa_c];
 	      double	 Ydelta[1][YNBS_sa_c];
 
@@ -4051,11 +4051,11 @@
 void Yrazgrad_ta_c(); 
 void Ysetstate_ta_c(); 
-void Yrazgrad_sa_c(); 
+void Ysetepsi_ta_c(); 
+void Yadjust_ta_c(); 
+void Y3getstate_ta_c(float x[]); 
+void Y3valstate_ta_c(); 
+void Y3valgrad_ta_c(float g[]); void Yrazgrad_sa_c(); 
 void Ysetstate_sa_c(); 
-void Ysetepsi_sa_c(); 
-void Yadjust_sa_c(); 
-void Y3getstate_sa_c(float x[]); 
-void Y3valstate_sa_c(); 
-void Y3valgrad_sa_c(float g[]); void Yrazgrad_ua_c(); 
+void Yrazgrad_ua_c(); 
 void Ysetstate_ua_c(); 
 void Yrazgrad_va_c(); 
@@ -4258,6 +4258,6 @@
 struct Yst_modul YTabMod[87] = {
 	{"sshn_c", *Ysshn_c, 2, 32, 22, 0, 0, 1, 0, 0, 0, 0, 0, 1.000000e+00, 1.000000e+00, 1.000000e+00, 0, "S3d"},
-	{"ta_c", *Yta_c, 3, 32, 22, 31, 0, 1, 0, 0, 0, 0, 0, 1.000000e+00, 1.000000e+00, 1.000000e+00, 0, "S3d"},
-	{"sa_c", *Ysa_c, 3, 32, 22, 31, 0, 1, 0, 0, 1, 0, 0, 1.000000e+00, 1.000000e+00, 1.000000e+00, 0, "S3d"},
+	{"ta_c", *Yta_c, 3, 32, 22, 31, 0, 1, 0, 0, 1, 0, 0, 1.000000e+00, 1.000000e+00, 1.000000e+00, 0, "S3d"},
+	{"sa_c", *Ysa_c, 3, 32, 22, 31, 0, 1, 0, 0, 0, 0, 0, 1.000000e+00, 1.000000e+00, 1.000000e+00, 0, "S3d"},
 	{"ua_c", *Yua_c, 3, 32, 22, 31, 0, 1, 0, 0, 0, 0, 0, 1.000000e+00, 1.000000e+00, 1.000000e+00, 0, "S3d"},
 	{"va_c", *Yva_c, 3, 32, 22, 31, 0, 1, 0, 0, 0, 0, 0, 1.000000e+00, 1.000000e+00, 1.000000e+00, 0, "S3d"},
Index: trunk/src/Yworkdir/Y2sinobad.h
===================================================================
--- trunk/src/Yworkdir/Y2sinobad.h	(revision 32)
+++ trunk/src/Yworkdir/Y2sinobad.h	(revision 34)
@@ -111,4 +111,45 @@
 		 for (int Yw2=0; Yw2<YA2_S3d; ++Yw2){
 			 if ((Ysshn_c(Yw1, Yw2)= new Yaosshn_c ())==NULL) Ycreate_errnew();}}
+}/*M3_ADJUS*/ 
+void Yadjust_ta_c()
+{
+	 for (int Yw1=0; Yw1<YA1_S3d; ++Yw1) 
+	 for (int Yw2=0; Yw2<YA2_S3d; ++Yw2) 
+	 for (int Yw3=0; Yw3<YA3_S3d; ++Yw3) 
+	 for (int Yws=0; Yws<YNBS_ta_c; ++Yws) 
+	 { Ystate_ta_c(Yws, Yw1, Yw2, Yw3) -= Yepsi_ta_c(Yws, Yw1, Yw2, Yw3) * Ygrad_ta_c(Yws, Yw1, Yw2, Yw3);
+	}
+}/*M3_GCTOTB  */ 
+void YgradCTOtab_ta_c(YREAL tab[])
+{
+	 for (int Yw1=0; Yw1<YA1_S3d; ++Yw1){
+		 for (int Yw2=0; Yw2<YA2_S3d;  ++Yw2){
+			 for (int Yw3=0; Yw3<YA3_S3d;  ++Yw3){
+				 for (int Yws=0; Yws<YNBS_ta_c; ++Yws){
+					 tab[Y3windice] += YG_ta_c(Yws, Yw1, Yw2, Yw3); ++Y3windice;}}}}
+}/*M3_VSTA*/ 
+void Y3valstate_ta_c()
+{
+	 for (int Yw1=0; Yw1<YA1_S3d; ++Yw1){
+		 for (int Yw2=0; Yw2<YA2_S3d;  ++Yw2){
+			 for (int Yw3=0; Yw3<YA3_S3d;  ++Yw3){
+				 for (int Yws=0; Yws<YNBS_ta_c; ++Yws){
+					 Y3x[Y3windice] = Yta_c(Yw1, Yw2, Yw3)->Ystate[Yws]; ++Y3windice;}}}}
+}/*M3_GSTA*/ 
+void Y3getstate_ta_c(float x[])
+{
+	 for (int Yw1=0; Yw1<YA1_S3d; ++Yw1){
+		 for (int Yw2=0; Yw2<YA2_S3d;  ++Yw2){
+			 for (int Yw3=0; Yw3<YA3_S3d;  ++Yw3){
+				 for (int Yws=0; Yws<YNBS_ta_c; ++Yws){
+					 Yta_c(Yw1, Yw2, Yw3)->Ystate[Yws] = x[Y3windice]; ++Y3windice;}}}}
+}/*M3_VGRAD*/ 
+void Y3valgrad_ta_c(float g[])
+{
+	 for (int Yw1=0; Yw1<YA1_S3d; ++Yw1){
+		 for (int Yw2=0; Yw2<YA2_S3d;  ++Yw2){
+			 for (int Yw3=0; Yw3<YA3_S3d;  ++Yw3){
+				 for (int Yws=0; Yws<YNBS_ta_c; ++Yws){
+					 g[Y3windice] = Yta_c(Yw1, Yw2, Yw3)->Ygrad[Yws]; ++Y3windice;}}}}
 }/*M3_TBTOG   */ 
 void YtabTOgrad_ta_c(YREAL tab[])
@@ -224,4 +265,28 @@
 void Yio_ta_c(int Yws, int Yw1, int Yw2, int Yw3, int Ywt, double val)	
 {  Yiorwf ("ta_c", Yws, Yw1, Yw2, Yw3, Ywt, &YS_ta_c(Yws, Yw1, Yw2, Yw3), val);
+}/*M0_OUTOB*/ 
+int Youtoobs_ta_c(YioKind yiokind, int Yws, int Ywt, int arbpdt)
+{
+	 Yaobs.time = arbpdt;
+	 Yaobs.imod = Yimod("ta_c");
+	 Yaobs.smod = Yws;/*M3_OUTOB*/ 
+	 for (int Yw1=0; Yw1<YA1_S3d; ++Yw1)
+	 for (int Yw2=0; Yw2<YA2_S3d; ++Yw2)
+	 for (int Yw3=0; Yw3<YA3_S3d; ++Yw3)
+	 {	if(select_io(yiokind, "ta_c", Yws, Yw1, Yw2, Yw3, Ywt, &Ystate_ta_c(Yws, Yw1, Yw2, Yw3)))
+			{	Yaobs.iaxe = Yw1; Yaobs.jaxe = Yw2; Yaobs.kaxe = Yw3;
+				Yaobs.vobs = Ystate_ta_c(Yws, Yw1, Yw2, Yw3);
+				if(!Yobs_insert (&Yaobs)) return(0);
+			}
+	 }/*M9_OUTOB*/  
+	 return(1);
+}/*M3_SEPS*/ 
+void Ysetepsi_ta_c(double val)
+{
+	 for (int Yw1=0; Yw1<YA1_S3d; ++Yw1){
+		 for (int Yw2=0; Yw2<YA2_S3d;  ++Yw2){
+			 for (int Yw3=0; Yw3<YA3_S3d;  ++Yw3){
+				 for (int Yws=0; Yws<YNBS_ta_c; ++Yws){
+					 Yta_c(Yw1, Yw2, Yw3)->Yepsi[Yws] = val;}}}}
 }/*M3_CREY*/ 
 void Ycreate_ta_c()  
@@ -231,45 +296,12 @@
 			 for (int Yw3=0; Yw3<YA3_S3d; ++Yw3){
 				 if ((Yta_c(Yw1, Yw2, Yw3) = new Yaota_c ())==NULL) Ycreate_errnew();}}}
-}/*M3_ADJUS*/ 
-void Yadjust_sa_c()
-{
-	 for (int Yw1=0; Yw1<YA1_S3d; ++Yw1) 
-	 for (int Yw2=0; Yw2<YA2_S3d; ++Yw2) 
-	 for (int Yw3=0; Yw3<YA3_S3d; ++Yw3) 
-	 for (int Yws=0; Yws<YNBS_sa_c; ++Yws) 
-	 { Ystate_sa_c(Yws, Yw1, Yw2, Yw3) -= Yepsi_sa_c(Yws, Yw1, Yw2, Yw3) * Ygrad_sa_c(Yws, Yw1, Yw2, Yw3);
-	}
-}/*M3_GCTOTB  */ 
-void YgradCTOtab_sa_c(YREAL tab[])
+}/*M3_SWISH*/ 
+void Ysetwish_ta_c(double val)
 {
 	 for (int Yw1=0; Yw1<YA1_S3d; ++Yw1){
 		 for (int Yw2=0; Yw2<YA2_S3d;  ++Yw2){
 			 for (int Yw3=0; Yw3<YA3_S3d;  ++Yw3){
-				 for (int Yws=0; Yws<YNBS_sa_c; ++Yws){
-					 tab[Y3windice] += YG_sa_c(Yws, Yw1, Yw2, Yw3); ++Y3windice;}}}}
-}/*M3_VSTA*/ 
-void Y3valstate_sa_c()
-{
-	 for (int Yw1=0; Yw1<YA1_S3d; ++Yw1){
-		 for (int Yw2=0; Yw2<YA2_S3d;  ++Yw2){
-			 for (int Yw3=0; Yw3<YA3_S3d;  ++Yw3){
-				 for (int Yws=0; Yws<YNBS_sa_c; ++Yws){
-					 Y3x[Y3windice] = Ysa_c(Yw1, Yw2, Yw3)->Ystate[Yws]; ++Y3windice;}}}}
-}/*M3_GSTA*/ 
-void Y3getstate_sa_c(float x[])
-{
-	 for (int Yw1=0; Yw1<YA1_S3d; ++Yw1){
-		 for (int Yw2=0; Yw2<YA2_S3d;  ++Yw2){
-			 for (int Yw3=0; Yw3<YA3_S3d;  ++Yw3){
-				 for (int Yws=0; Yws<YNBS_sa_c; ++Yws){
-					 Ysa_c(Yw1, Yw2, Yw3)->Ystate[Yws] = x[Y3windice]; ++Y3windice;}}}}
-}/*M3_VGRAD*/ 
-void Y3valgrad_sa_c(float g[])
-{
-	 for (int Yw1=0; Yw1<YA1_S3d; ++Yw1){
-		 for (int Yw2=0; Yw2<YA2_S3d;  ++Yw2){
-			 for (int Yw3=0; Yw3<YA3_S3d;  ++Yw3){
-				 for (int Yws=0; Yws<YNBS_sa_c; ++Yws){
-					 g[Y3windice] = Ysa_c(Yw1, Yw2, Yw3)->Ygrad[Yws]; ++Y3windice;}}}}
+				 for (int Yws=0; Yws<YNBS_ta_c; ++Yws){
+					 Ywish_ta_c(Yws, Yw1, Yw2, Yw3) = val;}}}}
 }/*M3_TBTOG   */ 
 void YtabTOgrad_sa_c(YREAL tab[])
@@ -385,28 +417,4 @@
 void Yio_sa_c(int Yws, int Yw1, int Yw2, int Yw3, int Ywt, double val)	
 {  Yiorwf ("sa_c", Yws, Yw1, Yw2, Yw3, Ywt, &YS_sa_c(Yws, Yw1, Yw2, Yw3), val);
-}/*M0_OUTOB*/ 
-int Youtoobs_sa_c(YioKind yiokind, int Yws, int Ywt, int arbpdt)
-{
-	 Yaobs.time = arbpdt;
-	 Yaobs.imod = Yimod("sa_c");
-	 Yaobs.smod = Yws;/*M3_OUTOB*/ 
-	 for (int Yw1=0; Yw1<YA1_S3d; ++Yw1)
-	 for (int Yw2=0; Yw2<YA2_S3d; ++Yw2)
-	 for (int Yw3=0; Yw3<YA3_S3d; ++Yw3)
-	 {	if(select_io(yiokind, "sa_c", Yws, Yw1, Yw2, Yw3, Ywt, &Ystate_sa_c(Yws, Yw1, Yw2, Yw3)))
-			{	Yaobs.iaxe = Yw1; Yaobs.jaxe = Yw2; Yaobs.kaxe = Yw3;
-				Yaobs.vobs = Ystate_sa_c(Yws, Yw1, Yw2, Yw3);
-				if(!Yobs_insert (&Yaobs)) return(0);
-			}
-	 }/*M9_OUTOB*/  
-	 return(1);
-}/*M3_SEPS*/ 
-void Ysetepsi_sa_c(double val)
-{
-	 for (int Yw1=0; Yw1<YA1_S3d; ++Yw1){
-		 for (int Yw2=0; Yw2<YA2_S3d;  ++Yw2){
-			 for (int Yw3=0; Yw3<YA3_S3d;  ++Yw3){
-				 for (int Yws=0; Yws<YNBS_sa_c; ++Yws){
-					 Ysa_c(Yw1, Yw2, Yw3)->Yepsi[Yws] = val;}}}}
 }/*M3_CREY*/ 
 void Ycreate_sa_c()  
@@ -416,12 +424,4 @@
 			 for (int Yw3=0; Yw3<YA3_S3d; ++Yw3){
 				 if ((Ysa_c(Yw1, Yw2, Yw3) = new Yaosa_c ())==NULL) Ycreate_errnew();}}}
-}/*M3_SWISH*/ 
-void Ysetwish_sa_c(double val)
-{
-	 for (int Yw1=0; Yw1<YA1_S3d; ++Yw1){
-		 for (int Yw2=0; Yw2<YA2_S3d;  ++Yw2){
-			 for (int Yw3=0; Yw3<YA3_S3d;  ++Yw3){
-				 for (int Yws=0; Yws<YNBS_sa_c; ++Yws){
-					 Ywish_sa_c(Yws, Yw1, Yw2, Yw3) = val;}}}}
 }/*M3_TBTOG   */ 
 void YtabTOgrad_ua_c(YREAL tab[])
@@ -13367,6 +13367,6 @@
 {	
 	 if(1==0);
-	 else if (strcmp(nmmod, "sa_c") == 0)
-				 YW_sa_c(Yws, Yw1, Yw2, Yw3) = YS_sa_c(Yws, Yw1, Yw2, Yw3) - vobs;
+	 else if (strcmp(nmmod, "ta_c") == 0)
+				 YW_ta_c(Yws, Yw1, Yw2, Yw3) = YS_ta_c(Yws, Yw1, Yw2, Yw3) - vobs;
 	 else if (strcmp(nmmod, "tb") == 0)
 				 YW_tb(Yws, Yw1, Yw2, Yw3) = YS_tb(Yws, Yw1, Yw2, Yw3, Ywt) - vobs;
@@ -13383,6 +13383,6 @@
 {	
 	 if(1==0);
-	 else if (strcmp(nmmod, "sa_c") == 0)
-				 YG_sa_c(Yws, Yw1, Yw2, Yw3) += Ycostdiff(YW_sa_c(Yws, Yw1, Yw2, Yw3), YW_sa_c(Yws, Yw1, Yw2, Yw3));
+	 else if (strcmp(nmmod, "ta_c") == 0)
+				 YG_ta_c(Yws, Yw1, Yw2, Yw3) += Ycostdiff(YW_ta_c(Yws, Yw1, Yw2, Yw3), YW_ta_c(Yws, Yw1, Yw2, Yw3));
 	 else if (strcmp(nmmod, "tb") == 0)
 				 YG_tb(Yws, Yw1, Yw2, Yw3, Ywt) += Ycostdiff(YW_tb(Yws, Yw1, Yw2, Yw3), YW_tb(Yws, Yw1, Yw2, Yw3));
@@ -13399,5 +13399,5 @@
 {
  	 if(1==0);
- 	 else if (strcmp(nmmod, "sa_c") == 0) Youtoobs_sa_c(yiokind, numout, pdt, arbpdt);
+ 	 else if (strcmp(nmmod, "ta_c") == 0) Youtoobs_ta_c(yiokind, numout, pdt, arbpdt);
  	 else if (strcmp(nmmod, "tb") == 0) Youtoobs_tb(yiokind, numout, pdt, arbpdt);
  	 else if (strcmp(nmmod, "sb") == 0) Youtoobs_sb(yiokind, numout, pdt, arbpdt);
@@ -13408,5 +13408,5 @@
 void Yadjust_all () 
 {
-	 Yadjust_sa_c ();
+	 Yadjust_ta_c ();
 }
 void Yrazgrad_all () 
@@ -13689,5 +13689,5 @@
 void Ysetwish_mod (int imod, YREAL val) 
 {	if(1==0);
-	else if (imod==2) Ysetwish_sa_c(val);
+	else if (imod==1) Ysetwish_ta_c(val);
 	else if (imod==38) Ysetwish_tb(val);
 	else if (imod==39) Ysetwish_sb(val);
@@ -13789,21 +13789,21 @@
 void YgradCTOtab_target (YREAL tab[]) 
 {	//Y3windice = 0;
-	 YgradCTOtab_sa_c (tab);
+	 YgradCTOtab_ta_c (tab);
 }
 void YtabTOgrad_target (YREAL tab[]) 
 {	//Y3windice = 0;
-	 YtabTOgrad_sa_c (tab);
+	 YtabTOgrad_ta_c (tab);
 }
 void Y3getstate_all (float x[]) 
 {	 Y3windice = 0;
-	 Y3getstate_sa_c (x);
+	 Y3getstate_ta_c (x);
 }
 void Y3valstate_all () 
 {	 Y3windice = 0;
-	 Y3valstate_sa_c ();
+	 Y3valstate_ta_c ();
 }
 void Y3valgrad_all (float g[]) 
 {	 Y3windice = 0;
-	 Y3valgrad_sa_c (g);
+	 Y3valgrad_ta_c (g);
 }
 void YdeltaEQPstate_traj(int itraj, char *norkmod, int frompdt, int topdt, double pfact) 
@@ -13814,7 +13814,7 @@
 		if ( !strcmp(norkmod, "sshn_c") || !strcmp(norkmod, "Y#A") )
 	 YdeltaEQPstate_sshn_c (0, 1, pfact);
-		if ( !strcmp(norkmod, "ta_c") || !strcmp(norkmod, "Y#A") )
+		if ( !strcmp(norkmod, "ta_c") || !strcmp(norkmod, "Y#A") || !strcmp(norkmod, "Y#T") )
 	 YdeltaEQPstate_ta_c (0, 1, pfact);
-		if ( !strcmp(norkmod, "sa_c") || !strcmp(norkmod, "Y#A") || !strcmp(norkmod, "Y#T") )
+		if ( !strcmp(norkmod, "sa_c") || !strcmp(norkmod, "Y#A") )
 	 YdeltaEQPstate_sa_c (0, 1, pfact);
 		if ( !strcmp(norkmod, "ua_c") || !strcmp(norkmod, "Y#A") )
@@ -13993,9 +13993,9 @@
 void YdeltaEQPstate_target(double pfact) 
 {
-	 YdeltaEQPstate_sa_c (0, 1, pfact);
+	 YdeltaEQPstate_ta_c (0, 1, pfact);
 }
 void YdeltaEQPgrad_target(double pfact) 
 {
-	 YdeltaEQPgrad_sa_c (0, 1, pfact);
+	 YdeltaEQPgrad_ta_c (0, 1, pfact);
 }
 void YstateEQPdelta_traj(int itraj, char *norkmod, int frompdt, int topdt, double pfact) 
@@ -14006,7 +14006,7 @@
 		if ( !strcmp(norkmod, "sshn_c") || !strcmp(norkmod, "Y#A") )
 	 YstateEQPdelta_sshn_c (0, 1, pfact);
-		if ( !strcmp(norkmod, "ta_c") || !strcmp(norkmod, "Y#A") )
+		if ( !strcmp(norkmod, "ta_c") || !strcmp(norkmod, "Y#A") || !strcmp(norkmod, "Y#T") )
 	 YstateEQPdelta_ta_c (0, 1, pfact);
-		if ( !strcmp(norkmod, "sa_c") || !strcmp(norkmod, "Y#A") || !strcmp(norkmod, "Y#T") )
+		if ( !strcmp(norkmod, "sa_c") || !strcmp(norkmod, "Y#A") )
 	 YstateEQPdelta_sa_c (0, 1, pfact);
 		if ( !strcmp(norkmod, "ua_c") || !strcmp(norkmod, "Y#A") )
@@ -14185,13 +14185,13 @@
 void YstateEQPdelta_target(double pfact) 
 {
-	 YstateEQPdelta_sa_c (0, 1, pfact);
+	 YstateEQPdelta_ta_c (0, 1, pfact);
 }
 void YstateEQPOdelta_target(double pfact, char *codop) 
 {
-	 YstateEQPOdelta_sa_c (0, 1, pfact, codop);
+	 YstateEQPOdelta_ta_c (0, 1, pfact, codop);
 }
 void YstateEQAPTdelta_target(double pfact, YREAL tab[]) 
 {
-	 YstateEQAPTdelta_sa_c (0, 1, pfact, tab);
+	 YstateEQAPTdelta_ta_c (0, 1, pfact, tab);
 }
 void YgradEQPstate_traj(int itraj, char *norkmod, int frompdt, int topdt, double pfact) 
@@ -14202,7 +14202,7 @@
 		if ( !strcmp(norkmod, "sshn_c") || !strcmp(norkmod, "Y#A") )
 	 YgradEQPstate_sshn_c(pfact);
-		if ( !strcmp(norkmod, "ta_c") || !strcmp(norkmod, "Y#A") )
+		if ( !strcmp(norkmod, "ta_c") || !strcmp(norkmod, "Y#A") || !strcmp(norkmod, "Y#T") )
 	 YgradEQPstate_ta_c(pfact);
-		if ( !strcmp(norkmod, "sa_c") || !strcmp(norkmod, "Y#A") || !strcmp(norkmod, "Y#T") )
+		if ( !strcmp(norkmod, "sa_c") || !strcmp(norkmod, "Y#A") )
 	 YgradEQPstate_sa_c(pfact);
 		if ( !strcmp(norkmod, "ua_c") || !strcmp(norkmod, "Y#A") )
@@ -14381,9 +14381,9 @@
 void YgradEQPstate_target(double pfact) 
 {
-	 YgradEQPstate_sa_c (pfact);
+	 YgradEQPstate_ta_c (pfact);
 }
 void YgradEQPOstate_target(double pfact, char *codop) 
 {
-	 YgradEQPOstate_sa_c (pfact, codop);
+	 YgradEQPOstate_ta_c (pfact, codop);
 }
 void YstateTOtab_traj (int itraj, char *norkmod, int frompdt, int topdt, YREAL tab[]) 
@@ -14394,7 +14394,7 @@
 		if ( !strcmp(norkmod, "sshn_c") || !strcmp(norkmod, "Y#A") )
 	 YstateTOtab_sshn_c (tab);
-		if ( !strcmp(norkmod, "ta_c") || !strcmp(norkmod, "Y#A") )
+		if ( !strcmp(norkmod, "ta_c") || !strcmp(norkmod, "Y#A") || !strcmp(norkmod, "Y#T") )
 	 YstateTOtab_ta_c (tab);
-		if ( !strcmp(norkmod, "sa_c") || !strcmp(norkmod, "Y#A") || !strcmp(norkmod, "Y#T") )
+		if ( !strcmp(norkmod, "sa_c") || !strcmp(norkmod, "Y#A") )
 	 YstateTOtab_sa_c (tab);
 		if ( !strcmp(norkmod, "ua_c") || !strcmp(norkmod, "Y#A") )
@@ -14573,5 +14573,5 @@
 void YstateTOtab_target (YREAL tab[]) 
 {	//Y3windice = 0;
-	 YstateTOtab_sa_c (tab);
+	 YstateTOtab_ta_c (tab);
 }
 void YgradTOtab_traj (int itraj, char *norkmod, int frompdt, int topdt, YREAL tab[]) 
@@ -14582,7 +14582,7 @@
 		if ( !strcmp(norkmod, "sshn_c") || !strcmp(norkmod, "Y#A") )
 	 YgradTOtab_sshn_c (tab);
-		if ( !strcmp(norkmod, "ta_c") || !strcmp(norkmod, "Y#A") )
+		if ( !strcmp(norkmod, "ta_c") || !strcmp(norkmod, "Y#A") || !strcmp(norkmod, "Y#T") )
 	 YgradTOtab_ta_c (tab);
-		if ( !strcmp(norkmod, "sa_c") || !strcmp(norkmod, "Y#A") || !strcmp(norkmod, "Y#T") )
+		if ( !strcmp(norkmod, "sa_c") || !strcmp(norkmod, "Y#A") )
 	 YgradTOtab_sa_c (tab);
 		if ( !strcmp(norkmod, "ua_c") || !strcmp(norkmod, "Y#A") )
@@ -14761,5 +14761,5 @@
 void YgradTOtab_target (YREAL tab[]) 
 {	//Y3windice = 0;
-	 YgradTOtab_sa_c (tab);
+	 YgradTOtab_ta_c (tab);
 }
 void YtabTOgrad_traj (int itraj, char *norkmod, int frompdt, int topdt, YREAL tab[]) 
@@ -14770,7 +14770,7 @@
 		if ( !strcmp(norkmod, "sshn_c") || !strcmp(norkmod, "Y#A") )
 			 YtabTOgrad_sshn_c (tab);
-		if ( !strcmp(norkmod, "ta_c") || !strcmp(norkmod, "Y#A") )
+		if ( !strcmp(norkmod, "ta_c") || !strcmp(norkmod, "Y#A") || !strcmp(norkmod, "Y#T") )
 			 YtabTOgrad_ta_c (tab);
-		if ( !strcmp(norkmod, "sa_c") || !strcmp(norkmod, "Y#A") || !strcmp(norkmod, "Y#T") )
+		if ( !strcmp(norkmod, "sa_c") || !strcmp(norkmod, "Y#A") )
 			 YtabTOgrad_sa_c (tab);
 		if ( !strcmp(norkmod, "ua_c") || !strcmp(norkmod, "Y#A") )
@@ -15127,6 +15127,6 @@
 	 {
 			 if (!strcmp(argv[0], "setepsi_all") || !strcmp(argv[0], "SETEPSI_ALL")){all=1; val=atof(argv[1]);} else val=atof(argv[2]);
-			 if (!strcmp(argv[1], "sa_c") || all)
-					 {Ysetepsi_sa_c(val);codret=1;}
+			 if (!strcmp(argv[1], "ta_c") || all)
+					 {Ysetepsi_ta_c(val);codret=1;}
 	 }
 	 else codret=0;
Index: trunk/src/cost.dat
===================================================================
--- trunk/src/cost.dat	(revision 32)
+++ trunk/src/cost.dat	(revision 34)
@@ -2,22 +2,45 @@
  0.0000000000000000e+00
  0.0000000000000000e+00
- 7.9500011475282708e+00
- 6.9584567722863468e+01
- 6.3544557715163670e+00
- 4.5195261866713539e+00
- 4.1368024754435542e+00
- 4.1173925937788400e+00
- 4.4705004404786965e+00
- 4.4772946613443398e+00
- 4.3418385150596306e+00
- 4.3353102149522806e+00
- 4.2495486911837279e+00
- 4.2535273008791705e+00
- 4.2345336365761872e+00
- 4.2197520449371364e+00
- 4.2092179852297607e+00
- 4.1123363902328558e+00
- 4.1113762968592953e+00
- 4.1107720985439284e+00
- 4.1103175097543936e+00
- 4.2097782534273280e+00
+ 2.1474823164582097e+02
+ 2.8694847833241877e+01
+ 2.4944848044628429e+01
+ 1.4763784723205688e+01
+ 6.1068119701407007e+00
+ 3.0562522504307394e+00
+ 1.8957965606743279e+00
+ 7.7197175823267772e-01
+ 4.1414583724508541e-01
+ 3.5745466891179140e-01
+ 3.0504160549496384e-01
+ 2.0632293155561307e-01
+ 5.2503828452358924e-02
+ 2.7362851470415533e-02
+ 1.2053659848629640e-02
+ 4.2299073388657685e-03
+ 1.9391678622987709e-03
+ 3.9999493044819460e-04
+ 4.7808973082814036e-04
+ 3.1932272727113592e-04
+ 2.4004168963586060e-04
+ 1.8255244331540424e-04
+ 1.3626773582866303e-04
+ 8.3046419077861583e-05
+ 1.4878373725618521e-04
+ 7.3549327869314594e-05
+ 6.8010748698499148e-05
+ 1.8396341279073525e-02
+ 1.8385214655752883e-02
+ 1.8297866286185290e-02
+ 6.7122354195302088e-05
+ 6.2793901469873690e-05
+ 1.0567410183153228e-04
+ 5.9048531588033596e-05
+ 5.6432743905617639e-05
+ 1.8672500710634261e-02
+ 1.8659958764906493e-02
+ 5.1159707227869254e-05
+ 1.0860501107129996e-04
+ 1.0155417489346165e-04
+ 9.0588681973202866e-05
+ 8.7670895907238729e-05
+ 5.0738236764616567e-05
Index: trunk/src/sinobad.d
===================================================================
--- trunk/src/sinobad.d	(revision 32)
+++ trunk/src/sinobad.d	(revision 34)
@@ -47,9 +47,9 @@
 modul	 sshn_c			space	S3d inter YA1 YA2 	noward		  output 1	|target
 
-modul	 ta_c			space	S3d			noward		  output 1	|target
+modul	 ta_c			space	S3d			noward		  output 1	target
 
 #modul	 ta_c			space	S3d	input array NPCA     		  output 1	
 
-modul	 sa_c			space	S3d			noward		  output 1	target
+modul	 sa_c			space	S3d			noward		  output 1	|target
 modul	 ua_c			space	S3d			noward	  	  output 1	|target
 modul	 va_c			space	S3d			noward	  	  output 1	|target
